Overview | Package | Class | Tree | Deprecated | Index | Help
| Portlet API 2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jetspeed.portlet
Class Portlet.Mode

    java.lang.Object
      |
      +--org.apache.jetspeed.portlet.Portlet.Mode

Enclosing class:
  Portlet

public static class Portlet.Mode
extends Object

The `Mode` class is a finite enumeration of the possible modes that a portlet can assume.

Field Summary
`static Portlet.Mode` | `CONFIGURE` Allows the portlet to bring its own configuration screen if required.
`static Portlet.Mode` | `DEFAULT` The standard "one-of many" portlet view on a page.
`static Portlet.Mode` | `HELP` A portlet should provide useful online help in this mode.
`static Portlet.Mode` | `PERSONALIZE` This mode allows the portlet to capture user-specific parameterization, which leads to a personalized view of the portlet.

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT

    public static final Portlet.Mode DEFAULT

  The standard "one-of many" portlet view on a page.

  Should the maximized view be a separate mode? It seems to require special treatment (unlike minimize or close)...

### PERSONALIZE

    public static final Portlet.Mode PERSONALIZE

  This mode allows the portlet to capture user-specific parameterization, which leads to a personalized view of the portlet.

### HELP

    public static final Portlet.Mode HELP

  A portlet should provide useful online help in this mode. This may be a short description or a multi-page instruction on how to use the portlet.

  The description seemed to be a special case of general help. It has therefore been removed from the API.

### CONFIGURE

    public static final Portlet.Mode CONFIGURE

  Allows the portlet to bring its own configuration screen if required. Only a user with administrator privileges should be able to call a portlet in this mode.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Portlet API 2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD